\LoadClass[version=first]{scrlttr2}

%%%%%%%%%%%%%%%%%%%%%% Pakete %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\RequirePackage[T1]{fontenc} % Umbrueche bei deutschen Umlauten, Schriftsatzerweiterung
\RequirePackage[utf8]{inputenc} % Direkte Eingabe deutscher Umlaute
\RequirePackage{graphicx}
\RequirePackage{paralist}
\RequirePackage{url}
\RequirePackage{xspace} 
\RequirePackage{eurosym}
\def\texteuro{\euro\xspace}
\def\paragraph#1{\par\smallskip\noindent\textbf{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%% Fakultaet %%%%%%%%%%%%%%%%%%%%%%%%%%%%
% An dieser Stelle werden fakultaetsspezifische Einstellungen
% getroffen.
%
% Welcher Fakultaet gehoere ich an?
\newcommand*{\fromdepartment}{fau}%\newcommand*{\fromdepartment}{template}
%
% Moegliche Werte sind:
%   TAG            FAKULTAET
% ------------------------------------------------------------
% fau        FAU allgemein
% med        Medizinische Fakultaet
% nat        Naturwissenschaftliche Fakultaet
% philtheo   Philosophische Fakultaet und Fachbereich Theologie
% recht      Fachbereich Rechtswissenschaft
% rechtwirt  Rechts- und Wirtschaftswissenschaftliche Fakultaet
% tech       Technische Fakultaet
% wirtschaft Fachbereich Wirtschaftswissenschaften
% template	 Template Logo eines abstrakten Fachbereichs zu Testzwecken
% ------------------------------------------------------------
%
% Wird der Brief farbig oder schwarz-weiss gedruckt?
% coloredlogo = true => Farbige Logos
% coloredlogo = false => Schwarz-weiss Logos
\newcommand{\coloredlogo}{true}

%%%%%%%%%%%%%%%%%%%%%% FAU-Design %%%%%%%%%%%%%%%%%%%%%%%%%%%
\LoadLetterOption{faudesign} % Laden des FAU-Stylefiles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setkomavar{departmentlogohead}{\includegraphics[height=25mm]{kwarc-logo-transparent}}
% Oder im Fuss? -- In diesem Fall kann kein Partnerlogo verwandt werden!
%\setkomavar{departmentlogofoot}{\vspace{-0.8cm}\includegraphics[height=25mm,width=45mm]{art/partnerlogo}}

% Ruecksendeadresse des Absenders
\setkomavar{backaddress}{\usekomavar{fromname}, FAU Erlangen-N\"urnberg, Postfach 3520, D-91023 Erlangen}
% Funktion des Absenders (% Wenn kein Lehrstuhl angegeben wird)
\setkomavar{fromfunction}{Department Informatik}
% Lehrstuhl des Absenders
\setkomavar{fromdepartment}{Professur f\"ur Wissensrepr\"asentation und -verabeitung}
% Strasse des Absenders
\setkomavar{fromstreet}{Martensstr. 3}
% Stadt des Absenders
\setkomavar{fromcity}{91054 Erlangen} 
% Ort des Absenders
\setkomavar{place}{Erlangen}
% Datum, 'faudate' ersetzt 'date'
\setkomavar{faudate}{\today}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%% Brieffuss %%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Optionaler Text im Fuss des Briefes
%\setkomavar{footopt}{Arum nimus corem Maretisila pore con Sit atiorep Eliaepudit Ipsum nonsite Estis uttare lie 000 34 56 78 atiorepioles Molor nonsed eru Eliaepudiut corem Dolor re pore con nectotam maretisilan}
%
% Moeglichkeit Partnerlogo einzufuegen, MIT Fusstext
% Maximale Groesse des Partnerlogos: Breite: 112mm, Hoehe: 14.35mm
% Moeglichkeit Partnerlogo einzufuegen, OHNE Fusstext
% Maximale Groesse des Partnerlogos: Breite: 165mm, Hoehe: 14.35mm
%\setkomavar{partnerlogo}{\includegraphics[scale=XX]{Pfad/zum/Logo}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


