% A Class for Letters with Jacobs University Letterhead
% Copyright (c) 2008 Michael Kohlhase, all rights reserved
%
% This file is distributed under the terms of the LaTeX Project Public
% License from CTAN archives in directory  macros/latex/base/lppl.txt.
% Either version 1.0 or, at your option, any later version.
%  
% The development version of this file can be found at
% $HeadURL: https://svn.kwarc.info/repos/kwarc/doc/macros/jacobsletter/jacobsletter.cls $
\DeclareOption{sticker}{\message{the option sticker is deprecated}\stickertrue}
\newif\ifadmin\admintrue
\DeclareOption{noadminline}{\adminfalse}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{dinbrief}}
\ProcessOptions
\LoadClass{dinbrief}
\RequirePackage{graphicx}
\RequirePackage{xcolor}
\RequirePackage{times}
\RequirePackage{url}

\font\fa=cmss10  scaled 1000
\font\fd=cmtt10   scaled 900
\font\fc=cmr10 scaled 760
\let\OLDdocument=\document
\def\document{%
\jcl@acatitle@error%
\OLDdocument}

\newsavebox{\logo}
\sbox{\logo}{\includegraphics[width=7cm]{jacobs-logo}}

\def\briefkopf{\vbox{\hfill
  \parbox[t]{6.5cm}{\usebox\logo\\[1cm]
    \vbox{\hfill\parbox[t]{4.6cm}
      {\fa \jcl@acatitle~\jcl@fullname\\
        \fa \jcl@jobtitle\\[2mm]
        \fa Campus Ring 1\\
        \fa D-28759 Bremen, Germany\\[2mm]
        \fa Tel: \@ifundefined{jcl@phone}{+49 421 200-\jcl@extension}\jcl@phone \\
        \fa Fax: \@ifundefined{jcl@fax}{+49 421 200-49\jcl@extension}\jcl@fax \\[2mm]
        \fd\jcl@email}}}}}

\ifadmin
\bottomtextvpos=270truemm
 \bottomtext{\parbox{16.6cm}{\fc\textcolor{blue}{Jacobs University Bremen
      gGmbH} | Campus Ring 1 $|$ 28759 Bremen $|$ Germany $|$
    \textcolor{blue}{President/Gesch\"aftsf\"uhrerin} Prof. Dr.-ing. Katja Windt\\
    \textcolor{blue}{Managing Director/Gesch\"aftsf\"uhrer:} Prof. Dr. Michael H\"ulsmann
    $|$ \textcolor{blue}{Chair Board of Governors:} Prof. Dr. Karin Lochte $|$
    Amtsgericht Bremen HRB 18117 $|$ Steuer-Nr. 71 608
    08041 $|$ UST ID-NR. DE 1990 98639 $|$ Bremer Landesbank IBAN: DE15 2905 0000 1008
    6110 08 BIC: BRLADE22XXX $|$ Sparkasse Bremen IBAN: DE73 2905 0101 0001 1818 33 BIC:
    SBREDE22 $|$ Commerzbank Bremen IBAN: DE 38 2908 0010 0100 9242 00 BIC: DRESDEFF290
    $|$ Deutsche Bank IBAN: DE51 2907 0050 0222 5555 00 BIC: DEUTDEHBXXX}}
  
\fi

% we define a new defform that takes away the tedium of defining configuration options. 
% |\jcl@def[|\meta{default}|]{|\meta{name}|}{|\meta{cseq}|}| defines three macros: 
% a macro |\|\meta{cseq} for setting the configuration option \meta{name}
% a macro |\jcl@|\meta{cseq}|@error| that generates an error message instructing
%  the user how to define in the preamble it if undefined. 
% a macro |\csl@|\meta{cseq} that contains the default value
\newcommand\jcl@def[3][]{%
\@namedef{jcl@#3@error}{\@ifundefined{jcl@#3}{\PackageError{jacobsletter}%
{#2 undefined\MessageBreak use \expandafter\protect\@nameuse{#2} to specify your #1}{}}{}}%
\@namedef{jcl@#3}{#1}%
\expandafter\newcommand\csname #3\endcsname[1]{\@namedef{jcl@#3}{##1}}}
\jcl@def{academic title}{acatitle}
\jcl@def[\textlangle job title\textrangle]{job title}{jobtitle}
\jcl@def[\textlangle first\textrangle]{first name}{firstname}
\jcl@def[\textlangle last\textrangle]{last name}{lastname}
\jcl@def[\textlangle middle\textrangle]{middle name}{middlename}
\def\jcl@fullname{\jcl@firstname\@ifundefined{jcsl@middlename}{}{~\jcl@middlename}~\jcl@lastname}
\jcl@def[\textlangle ext\textrangle]{telefone extension}{extension}
\def\phone#1#2{\def\jcl@phone{#1 #2}}
\def\fax#1{\def\jcl@fax{+49 421 200-#1}}
\def\email#1{\def\jcl@email{#1@jacobs-university.de}}\email{e.mustermann}
\signature{\jcl@acatitle~\jcl@fullname}
\place{Bremen}
\address{\briefkopf}
\phone{+49 421}{200-\jcl@extension}
\def\absender#1{\def\jcl@abs{#1}}
\def\jcl@abs{\jcl@acatitle \jcl@fullname, Jacobs Univ., 28759 Bremen, Germany}
\backaddress{\vspace*{5mm}\jcl@abs\rule[-1ex]{0pt}{0pt}\vspace*{-5mm}}
\def\signaturepicture#1{\def\jcl@sigpic{#1}}
\def\sign#1{\closing{#1\\\includegraphics[width=6cm]{\jcl@sigpic}\vspace*{-1.2cm}}}
%%% sectioning
\def\section#1{{\goodbreak\large\textbf{#1}}\par\ignorespaces}
\def\paragraph#1{{\goodbreak\textbf{#1}}: \ignorespaces}

\endinput
%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "jacobsletter"
%%% End: 

% LocalWords:  cmcsc cmss cmtt noadminline dinbrief graphicx xcolor url gGmbH
% LocalWords:  fullname jobtitle Gesch aftsf uhrer mult Treusch Lochte HRB Nr
% LocalWords:  Amtsgericht Steuer UST Mustermann mustermann sigpic newif fd def
% LocalWords:  ifsticker stickerfalse stickertrue ifadmin admintrue adminfalse
% LocalWords:  OLDdocument newsavebox sbox includegraphics jacobs-logo vbox jcl
% LocalWords:  namechange-sticker briefkopf usebox hfill acatitle jcl textcolor
% LocalWords:  ifundefined bottomtext scriptsize textcolor defform cseq csl
% LocalWords:  newcommand namedef jacobsletter expandafter nameuse csname jcsl
% LocalWords:  endcsname textlangle textrangle firstname middlename absender
% LocalWords:  backaddress vspace vspace signaturepicture goodbreak textbf
% LocalWords:  ignorespaces Peitgen
