%%
%% This is file `miniutes.cls',
%% copied and adapted from `protocol.cls' by
%% Thomas Leineweber, University of Dortmund.
%%
%% Copyright (C) 2008 Normen Mueller, Jacobs University Bremen.
%% 
%% This file may be distributed under the terms of the LaTeX Project Public
%% License, as described in lppl.txt in the base LaTeX distribution.
%% Either version 1.0 or, at your option, any later version.
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{protocol}
              [1998/07/30 v1.7a
               LaTeX-Class fuer Sitzungs-Protokolle TL]

\DeclareOption{a5paper}
     {\ClassError{protocol}{Option `a5paper' not supported}{}}
\DeclareOption{b5paper}
     {\ClassError{protocol}{Option `b5paper' not supported}{}}
\DeclareOption{twocolumn}
     {\ClassError{protocol}{Option `twocolumn' not supported}{}}
\DeclareOption{titlepage}
     {\ClassError{protocol}{Option `titlepage' not supported}{}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}

\ProcessOptions\relax
\LoadClass{article}
\RequirePackage{keyval}

\def\project#1{\gdef\@project{#1}}
\def\@project{\ClassWarning{protocol}{No \noexpand\project given}}

\newcommand\makehead{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \newpage
    \global\@topnum\z@   % Prevents figures from going at top of page.
    \@makehead
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  \global\let\makehead\relax
  \global\let\@makehead\relax
  \global\let\project\relax
  \global\let\@project\@empty
}
\def\@makehead{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@project \par}%
  \end{center}
}

\newcounter{topic}
\define@key{meeting}{chair}{\def\meeting@chair{#1}}
\define@key{meeting}{writer}{\def\meeting@writer{#1}}
\define@key{meeting}{student}{\def\meeting@student{#1}}
\define@key{meeting}{attendees}{\def\meeting@attendees{#1}}
\define@key{meeting}{date}{\def\meeting@date{#1}}

\newenvironment{meeting}[1][] {%
  \setkeys{meeting}{#1}
  \section*{Minutes \meeting@date}
  \setcounter{topic}{1}%
  \small
  \begin{tabular}{ll}
    Chair & \meeting@chair\\
    Writer & \meeting@writer\\
    Attendees & \meeting@attendees
  \end{tabular}
}
{}

\define@key{topic}{title}{\def\topic@title{#1}}

\newenvironment{topic}[1][] {%
  \setkeys{topic}{#1}
  \subsection*{Topic \thetopic: \topic@title}
}
{\addtocounter{topic}{1}}

\define@key{subtopic}{title}{\def\subtopic@title{#1}}

\newenvironment{subtopic}[1][] {%
  \setkeys{subtopic}{#1}
  \subsubsection*{\subtopic@title}
}
{}

\AtBeginDocument{\makehead}

\parindent 0ex
\parskip 1.5ex
\endinput
%%
%% End of file `minutes.cls'.
