%%
%% This is file `seki.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% seki.dtx  (with options: `cls')
%% 
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{seki}[2009/06/18 v0.9 SEKI]


\def\SEKI@type{0}
\DeclareOption{sekireport}{\def\SEKI@type{0}}
\DeclareOption{sekiwp}{\def\SEKI@type{1}}
\DeclareOption{internetcopy}{\def\SEKI@type{2}}
\DeclareOption{noreview}{\def\SEKI@reviewstatus{0}}
\def\SEKI@reviewstatus{1}
\DeclareOption{internalreview}{\def\SEKI@reviewstatus{1}}
\DeclareOption{externalreview}{\def\SEKI@reviewstatus{2}}
\def\SEKI@cls{article}
\DeclareOption{article}{\def\SEKI@cls{article}}
\DeclareOption{report}{\def\SEKI@cls{report}}
\def\SEKI@publishedtype{0}
\DeclareOption{original}{\def\SEKI@publishedtype{0}}
\DeclareOption{thesis}{\def\SEKI@publishedtype{1}}
\DeclareOption{shortpub}{\def\SEKI@publishedtype{2}}
\DeclareOption{refines}{\def\SEKI@publishedtype{3}}
\newif\ifSEKI@tikz\SEKI@tikztrue
\DeclareOption{notikz}{\SEKI@tikzfalse\SEKI@draftfalse}
\ProcessOptions
\LoadClass[twoside,12pt]{\SEKI@cls}
\RequirePackage[T1]{fontenc}
\RequirePackage{url}
\RequirePackage{rotating}
\ifSEKI@tikz\RequirePackage{tikz}\fi
\newif\ifSEKI@draft\SEKI@drafttrue
\def\SEKI@subeditor{????}
\newcommand{\subeditor}[1]{\long\def\SEKI@subeditor{#1}}
\def\SEKI@reviewer{????}
\newcommand{\reviewer}[1]{\long\def\SEKI@reviewer{#1}}
\def\SEKI@reviewprocess{????}
\newcommand{\refereeprocess}[1]{\long\def\SEKI@reviewprocess{#1}}
\def\SEKI@nr{unreviewed}%default
\newcommand{\sekinr}[3]{\def\SEKI@nr{#1--#2}\SEKI@draftfalse}
\def\SEKI@publishedas{????}
\newcommand{\publishedas}[1]{\long\def\SEKI@publishedas{#1}}
\newcommand\moreKeywords[2]{\vspace*{4ex}\par\noindent{\small{\em #1\/}: #2\par}}
\newcommand\Keywords[1]{\moreKeywords{Keywords}{#1}}
\newcommand\SEKI@reporttype
{\ifcase\SEKI@type SEKI Report\or SEKI Working-Paper\or Internet Copy\fi}
\newcommand\makecover{{%
\ifSEKI@draft\begin{tikzpicture}[remember picture,overlay]
\node [rotate=60,scale=15,text opacity=0.2]
at (current page.center) {Draft};
\end{tikzpicture}\fi
\def\majorfootroom{\raisebox{-1.9ex}{\rule{0ex}{.5ex}}}
\def\SEKI@url{\url
{http://www.dfki.de/seki}%old but valid
}%
\def\SEKI@titlepagehelper##1##2{{\GIGA SEKI\begin{tabular}[b]{@{}r@{}}
     \sf\LARGE~~% no dash here anymore
     ##1
  \\\end{tabular}~%
  \begin{tabular}[b]{@{}l@{}}
    \sf\SEKI@url\raisebox{-2.79ex}{\rule{0ex}{.5ex}}
  \\\normalsize\sf ##2%\hskip.9mm\mbox{}
  \\\end{tabular}}
}%
\def\SEKI@itemhelper##1##2{\par\noindent{\bf##1:}\\\\{\footnotesize
\ignorespaces##2\par}\mbox{}\par}%
\def\footroom{\raisebox{-1.5ex}{\rule{0ex}{.5ex}}}%
\ifcase\SEKI@type
  \def\WHATAMI{{\large\SEKI@reporttype\ SR--\SEKI@nr}}
  \def\Titlepagetype{\SEKI@titlepagehelper{Report}{ISSN~1437-4447}}
\or
  \def\WHATAMI{{\large\SEKI@reporttype\ SWP--\SEKI@nr}}
  \def\Titlepagetype{\SEKI@titlepagehelper{Working-Paper}{ISSN~1860-5931}}
\or
  \def\WHATAMI{{\large\SEKI@reporttype: \today}}
  \def\Titlepagetype{{\GIGA OMEGA \sf\huge PUBLICATION}}
\fi
\setcounter{page}{-99}%
\thispagestyle{empty}%
\noindent\hskip-1ex
\raisebox{1mm}{\includegraphics[height=11.7mm]{dfki}}%
\hskip2ex
\includegraphics[height=15.2mm]{iu}%
\hskip2ex
\raisebox{1mm}{\includegraphics[height=12.7mm]{ju}}%
\hskip1.6ex
\includegraphics[height=14.2mm]{uds}%
\par
\vspace{5cm}\par\mbox{}\hfill
\includegraphics[height=90mm]{seki-robbi}%
\hskip-37.5mm%
\raisebox{42mm}{\includegraphics[height=20mm]{leibniz}}%
\hskip24mm\mbox{}
\par\vskip10mm\noindent
\setlength\fboxrule{2mm}%
\noindent\mbox{}\hfill
\framebox{\raisebox{-2.9cm}{\rule{0ex}{5.8cm}}\begin{minipage}{10.4cm}
\begin{center}
\large\bf\@title\majorfootroom\mbox{}\vfill\par
\rm\normalsize\def\thanks##1{}\@author\majorfootroom\mbox{}\vfill\par
\WHATAMI
\vskip-.5ex\vfill
\end{center}
\end{minipage}}\vspace*{-20mm}%
\par
\vskip-21.7cm\noindent\begin{sideways}\begin{minipage}{23.4cm}\begin
{tabular}[b]{@{}l@{}}\sf\Titlepagetype
\\\mbox{}\\\mbox{}\\\mbox{}\\\mbox{}\\\mbox{}\\\mbox{}\\\end{tabular}\hfill
\end{minipage}\end{sideways}\vspace*{-20mm}\pagebreak
\SEKI@itemhelper{SEKI is published by the following institutions}
{German Research Center for Artificial Intelligence (DFKI GmbH), Germany\\[.5ex]
\begin{tabular}{l@{~}l@{}}
  $\bullet$&Robert Hooke Str.\,5, D--28359 Bremen
\\$\bullet$&Trippstadter Str.\,122, D--67663 Kaiserslautern
\\$\bullet$&Campus D~3~2, D--66123 Saarbr\"ucken
\\\end{tabular}
\\\\\\
International University of Germany, Campus\,1, D--76646 Bruchsal, Germany
\\\\
Jacobs University Bremen, School of Engineering \& Science, Campus Ring\,1,
D--28759 Bremen, Germany
\\\\
Universit\"at des Saarlandes, FR 6.2 Informatik, Campus,
D--66123 Saarbr\"ucken, Germany}
\ifSEKI@draft\begin{tikzpicture}[remember picture,overlay]
\node [rotate=60,scale=15,text opacity=0.2]
at (current page.center) {Draft};
\end{tikzpicture}\fi
\SEKI@itemhelper{SEKI Editor}
{Claus-Peter Wirth
\\E-mail: {\tt wirth@logic.at}
\\WWW: \url{http://www.ags.uni-sb.de/~cp}}

\SEKI@itemhelper{Please send surface mail exclusively to}
{DFKI Bremen GmbH
\\Safe and Secure Cognitive Systems
\\Cartesium
\\Enrique Schmidt Str.\,5
\\D--28359 Bremen
\\Germany}
\vfill\vfill\vfill

\ifcase\SEKI@publishedtype
\or
  \SEKI@itemhelper
  {This \SEKI@reporttype\ is published as}
  {\SEKI@publishedas}
\or
  \SEKI@itemhelper
  {The following publication is a short version of this \SEKI@reporttype}
  {\SEKI@publishedas}
\or
  \SEKI@itemhelper
  {This \SEKI@reporttype\ refines and extends the following publication}
  {\SEKI@publishedas}
\fi
\ifcase\SEKI@reviewstatus
  \SEKI@itemhelper
  {This \SEKI@reporttype\ was edited and the individual contributions were
   sub-edited by}
  {\SEKI@subeditor}
\or
  \SEKI@itemhelper
  {This \SEKI@reporttype\ was internally reviewed by}
  {\SEKI@reviewer}
\or
  \SEKI@itemhelper
  {\bf
   \ifcase\SEKI@publishedtype
      This
   \or
      This
   \or
      The above short version of this
   \or
      The above previous version of this
   \fi
   \SEKI@reporttype\ successfully passed the following external
   anonymous referee process}
   {\SEKI@refereeprocess}
\fi

\thispagestyle{empty}
\mbox{}}
\cleardoublepage\pagestyle{myheadings}\setcounter{page}{1}}
\font\GIGA=cmss12 scaled 4000
\font\HUGE=cmss12 scaled 3000
\setlength\oddsidemargin{3.0cm}            %intended inner margin
\setlength\textwidth{16.3cm}               %intended textwidth
\setlength\columnsep{1cm}                  %intended columnsepwith in twocolumn
\setlength\topmargin{3cm}                  %intended topmargin
\setlength\textheight{24cm}                %intended textheight
\reversemarginpar
\setlength\marginparwidth{1.4cm}
\setlength\marginparsep{0.5cm}
\setlength\parskip{5pt}
\setlength\evensidemargin{21cm}            %dina4 breadth
\addtolength\evensidemargin{-1\textwidth}  %adjust right
\addtolength\evensidemargin{-1\oddsidemargin}%set margin
\addtolength\evensidemargin{-1in}          %internal correction factor
\addtolength\oddsidemargin{-1in}           %internal correction factor
\addtolength\topmargin{-1in}               %internal correction factor
\addtolength\topmargin{-1cm}               %internal correction factor
\addtolength\evensidemargin{-0.1cm}        %fine tuning
\def\newtheorem#1{\@ifnextchar[{\@othm{#1}}{\@nthm{#1}}}

\def\@nthm#1#2{%
%%typical #1=definition, #2=Definition
\@ifnextchar[{\@xnthm{#1}{#2}}{\@ynthm{#1}{#2}}}

\def\@xnthm#1#2[#3]#4{%next line commented for brutal redefinition
%%\expandafter\@ifdefinable\csname #1\endcsname
%%typical #1=definition, #2=Definition, #3=section, #4=cpspecial
{\@definecounter{#1}\@addtoreset{#1}{#3}%
\expandafter\xdef\csname the#1\endcsname{\expandafter\noexpand
  \csname the#3\endcsname \@thmcountersep \@thmcounter{#1}}%
\global\@namedef{#1}{\@thm{#1}{#2}{#4}}\global\@namedef{end#1}{\@endtheorem}}}

\def\@ynthm#1#2#3{%next line commented for brutal redefinition
%%\expandafter\@ifdefinable\csname #1\endcsname
%%typical #1=definition, #2=Definition, #3=cpspecial
{\@definecounter{#1}%
\expandafter\xdef\csname the#1\endcsname{\@thmcounter{#1}}%
\global\@namedef{#1}{\@thm{#1}{#2}{#3}}\global\@namedef{end#1}{\@endtheorem}}}

\def\@othm#1[#2]#3#4{%next line commented for brutal redefinition
%%\expandafter\@ifdefinable\csname #1\endcsname
%%typical #1=definition, #2=theorem, #3=Defintion, #4=cpspecial
  {\global\@namedef{the#1}{\@nameuse{the#2}}%
\global\@namedef{#1}{\@thm{#2}{#3}{#4}}%
\global\@namedef{end#1}{\@endtheorem}}}

\def\@thm#1#2#3{\refstepcounter
    {#1}\@ifnextchar[{\@ythm{#1}{#2}{#3}}{\@xthm{#1}{#2}{#3}}}

\def\@xthm#1#2#3{\@begintheorem{#2}{\csname the#1\endcsname}{#3}\ignorespaces}
\def\@ythm#1#2#3[#4]{\@opargbegintheorem{#2}{\csname
       the#1\endcsname}{#4}{#3}\ignorespaces}

%%DEFAULT VALUES
\def\@thmcounter#1{\noexpand\arabic{#1}}
\def\@begintheorem#1#2#3{\trivlist \item[\hskip \labelsep{\bf #1\ #2}]#3}
\def\@opargbegintheorem#1#2#3#4{\trivlist
      \item[\hskip \labelsep{\bf #1\ #2\ (#3)}]#4}
\def\@endtheorem{\endtrivlist}

%%\def\@thmcountersep{}
%%\newtheorem{theorem}            {Theorem}[thmcounter]{\mbox{}\it}
\def\@thmcountersep{.}
\def\globalrequirement{Global Requirement}

\newtheorem{theorem}{Theorem}[section]{\mbox{}\it}
\newtheorem{lemma}[theorem]{Lemma}{\mbox{}\it}
\newtheorem{sublemma}[theorem]{Sublemma}{\mbox{}\it}
\newtheorem{corollary}[theorem]{Corollary}{\mbox{}\it}
\newtheorem{proposition}[theorem]{Proposition}{\mbox{}\it}
\newtheorem{conjecture}[theorem]{Conjecture}{\mbox{}\it}
\newtheorem{example}[theorem]{Example}{\mbox{} \mbox{}\rm}
\newtheorem{remark}[theorem]{Remark}{\mbox{} \mbox{}\rm}
\newtheorem{forderung}[theorem]{\globalrequirement}{\mbox{}\it}
\newtheorem{requirement}[theorem]{Requirement}{\mbox{}\it}
\newtheorem{definition}[theorem]{Definition}{\mbox{} \mbox{}\rm}
\newtheorem{aufgabe}[theorem]{Aufgabe}{\mbox{} \mbox{}\rm}
\newtheorem{specification}[theorem]{Specification}{\mbox{} \mbox{} \rm}
\newtheorem{problem}[theorem]{Problem}{\mbox{} \mbox{} \rm}
\newtheorem{fact}[theorem]{Fact}{\mbox{} \mbox{} \rm}
\endinput
%%
%% End of file `seki.cls'.
