\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}

\RequirePackage{keyval}

\define@key{head}{title}{\def\head@title{#1}}
\define@key{head}{student}{\def\head@student{#1}}
\define@key{head}{paid-by}{\def\head@paidby{#1}}
\define@key{head}{period}{\def\head@period{#1}}
\define@key{head}{supervisor}{\def\head@supervisor{#1}}

% \newenvironment{jobdescription}[1][]
% {\setkeys{head}{#1}\begin{center}\Large
% \flushleft Job Title: \head@title\\
% Student: \head@student\\
% Period: \head@period\\
% Supervisor: \head@supervisor\\[1ex]
% \large\textbf{General Description}: }
% {\end{center}}
\newenvironment{jobdescription}[1][]
{
\setkeys{head}{#1}
\flushleft\large
\begin{tabular}{ll}
Job Title: & \head@title\\
Student: & \head@student\\
\ifx\head@paidby\undefined\else Paid by: & \head@paidby\\\fi
Period: & \head@period\\
Supervisor: & \head@supervisor\\
\end{tabular}\\[1ex]
\section*{General Description}}
{}

\newenvironment{jobpreliminaries}
{\section*{Preliminaries}}
{}

\newenvironment{jobrecommendedreadings}
{\section*{Recommended Readings}}
{}

\define@key{task}{start}{\def\task@start{#1}}
\define@key{task}{end}{\def\task@end{#1}}
\define@key{task}{concluded}{\def\task@concluded{#1}}
\define@key{task}{tested}{\def\task@tested{#1}}
\define@key{task}{title}{\def\task@title{#1}}
\newenvironment{task}[1][]
{\setkeys{task}{#1}\section{Task: \task@title}
  \small
  \begin{tabular}{ll}
    Start & \ifx\task@start\@empty{\textbf{???}}\\\else\task@start\\\fi
    \ifx\task@end\undefined\else Due to & \task@end\\\fi
    \ifx\task@concluded\undefined\else Concluded & \task@concluded\\\fi
    \ifx\task@tested\undefined\else Tested & \task@tested\\\fi
  \end{tabular}\\[1ex]}{}


